@charset "utf-8";
@import "../../../_variables.sass";

.navbar-menu.is-active {
  margin-left: -2rem;
  margin-right: -2rem;
  padding: 0 0 0 .5rem;
}

.nav-item-mobile-user {
  position: relative;
  width: 100%;
  height: auto;
  margin-top: 0;
  margin-bottom: 0;
  margin-right: -2rem;

  .auth-wrapper,
  .lang-selector-wrapper {
    display: block;
    width: 100%;
    text-align: center;
    border-top: 1px solid #DDDDDD;
  }

  .auth-wrapper {
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 68px;
    padding: 0;

    &.mobile-login-active {
      height: auto;
      padding-top: 15px;
      padding-bottom: 15px;
    }
  }

  .lang-selector-wrapper {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    background-color: transparent;
    height: 68px;

    .lang-buttons-wrapper {
      display: flex;
      align-items: center;
      height: auto;
    }

    .button.is-primary {
      background-color: $white;
      color: #8e8e8e;
      font-weight: $weight-bold;
      display: inline-block;
      height: auto;
      border: none;

      &:not(:last-child)::after {
        content: "|";
        color: #565656;
        margin-left: 26px;
        margin-right: 20px;
        font-weight: $weight-bold;
      }

      &.is-active {
        color: $primary;
        border: none !important;
      }

      &:hover {
        outline: none;
      }

      &:focus,
      &:active {
        outline: none;
        border: none !important;
        box-shadow: none;
      }
    }
  }
}
